import java.io.*;
import java.util.*;

public class Interact {
    private static String fileName = "pills";

    final BufferedReader stdin;
    final Scanner fin;
    final PrintWriter fout;

    int exactAns, type;

    Interact(String inputFileName, String outputFileName) throws IOException {
	stdin = new BufferedReader(new InputStreamReader(System.in));
	fin = new Scanner(new FileReader(inputFileName));
	fout = new PrintWriter(new FileWriter(outputFileName), true);
    }

    void close() {
	fin.close();
	fout.close();
    }

    static class PresentationException extends Exception {
	PresentationException(String message) {
	    super(message);
	}
    }

    void go() {
	try {
	    fout.println(interact());
	} catch (PresentationException e) {
	    fout.println("PE " + e.getMessage());
	} catch (IOException e) {
	    fout.println("FAIL " + e.getMessage());
	}
    }

    String calc(VectorQuery qu) {
    //System.err.println(qu.left.length + " " + qu.right.length);
	if (qu.left.length > qu.right.length)
	    return "more";
	if (qu.left.length < qu.right.length)
	    return "less";
	int weigth1 = 0, weigth2 = 0;
	for (int i = 0; i < qu.left.length; i++) {
	//	System.err.print(qu.left[i] + " ");
	    if (qu.left[i] == exactAns)
		weigth1 += type;
	}
	//System.err.println("adsasd " + exactAns);

	for (int i = 0; i < qu.right.length; i++) {
	//	System.err.print(qu.right[i] + " ");
	    if (qu.right[i] == exactAns)
		weigth2 += type;
	}
	
	//System.err.println(weigth1 + " " + weigth2 + " " + type);

	if (weigth1 > weigth2)
	    return "more";
	if (weigth1 < weigth2)
	    return "less";

	return "equal";
    }

    String interact() throws IOException, PresentationException {

	int maxQueries = 3;
	writeLine("start");
	exactAns = fin.nextInt();
	type = fin.nextInt();
	for (int queries = 0; queries <= maxQueries; queries++) {
	    Query qu = readRequest();
	    if (qu instanceof VectorQuery) {
		String res = calc(((VectorQuery) qu));
		writeLine(res);
	    } else if (qu instanceof AnswerQuery) {
		int ans = ((AnswerQuery) qu).ans;
		return (ans == exactAns) ? (String.format("OK %d queries %d",
			queries, ans)) : (String.format(
			"WA too imprecise (expected %d, found %d)", exactAns,
			ans));
	    }
	}
	return "WA queries limit reached";
    }

    static class Query {
    }

    static class VectorQuery extends Query {
	int[] left, right;

	public VectorQuery(int[] left, int[] right) {
	    super();
	    this.left = left;
	    this.right = right;
	}
    }

    static class AnswerQuery extends Query {
	int ans;

	public AnswerQuery(int ans) {
	    this.ans = ans;
	}
    }

    private Query readRequest() throws PresentationException, IOException {
	String line = readLine();
	String[] tokens = line.split(" ");
	if (tokens.length == 2 && tokens[0].equals("answer:")) {
	    try {
		int ans = Integer.parseInt(tokens[1]);
		return new AnswerQuery(ans);
	    } catch (NumberFormatException e) {
		throw new PresentationException("answer is not a integer");
	    }
	} else if (tokens[0].equals("left:")) {
	    try {
		int[] left, right;
		int it = 1;
		while (it < tokens.length && !tokens[it].equals("right:"))
		    it++;
		left = new int[it - 1];
		if (it == tokens.length) 
			throw new PresentationException("right not found");
		right = new int[tokens.length - it - 1];
		boolean used[] = new boolean[13];
		for (int i = 1; i < it; i++) {
		    left[i - 1] = Integer.parseInt(tokens[i]);
			if (left[i - 1] < 1 || left[i - 1] > 12 || used[left[i - 1]])
				throw new PresentationException("incorrect coins");
			used[left[i - 1]] = true;
		}
		for (int i = it + 1; i < tokens.length; i++) {
		    right[i - it - 1] = Integer.parseInt(tokens[i]);
		    if (right[i - it - 1] < 1 || right[i - it - 1] > 12 || used[right[i - it - 1]])
				throw new PresentationException("incorrect coins");
			used[right[i - it - 1]] = true;
		}
		return new VectorQuery(left, right);
	    } catch (NumberFormatException e) {
		throw new PresentationException("incorrect weighing");
	    }
	} else {
	    throw new PresentationException("first token not left");
	}
    }

    private String readLine() throws PresentationException, IOException {
	String s = stdin.readLine();
	if (s == null) {
	    throw new PresentationException("terminated too early");
	}
	fout.print("INP ");
	fout.println(s);
	return s;
    }

    private void writeLine(String s) {
	fout.print("OUT ");
	fout.println(s);
	fout.flush();
	System.out.println(s);
	System.out.flush();
    }

    public static void main(String[] args) throws IOException {
	Locale.setDefault(Locale.US);
	Interact instance = new Interact(args.length >= 2 ? args[0]
		: "pills.in", args.length >= 2 ? args[1] : "pills.out");
	instance.go();
	instance.close();
    }
}
	